Subject: Re: WARNING: Serious Pentium Bug
From: [email-masked] (John Mamer)

10 Nov 1997 07:56:29 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Chin Chee Kai <[email-masked]>
Cc: GNU Win32 <[email-masked]>

I tried the code on my 300Mhz Pentium II machine (MMX).  I
compiled under gcc (gnu-wn32).  The OS caught the problem
and terminated the program without crashing.  It gave me a
dialog box containing the statement:
 
"The exception unknown software exeption (0x000001e)
occured in the applicaiton at location 0x00403004"
 
I was then able to terminate the application or drop into 
the VC++ debugger and proceed.

I'm running NT 4.0 SP 3.
j.

On Sun, 9 Nov 1997, Chin Chee Kai wrote:

> Just a confirmation on the reported bug.
> 
> I compiled and executed using user privileges the code on my
> Intel Pentium MMX 166MHz on Linux 2.0 and, as described by the 
> anonymous mailer, the system froze immediately.  Nothing except
> hard reboot works.
> 
> I ran the same on an Intel 486/66 on Win95 and got normal illegal
> instruction trap using either cygnus gcc or VC++.
> 
> This does sound serious.
> 
> I'm also seriously in need of a confirmation as to whether the same
> piece of code affects Pentium Pro machines.  Has anyone tried it
> out yet?  Please post directly to me if you may as it may digress
> from the Cyginw-gnu discussions although the Intel bug report is
> serious.
> 
> 
> Chee-Kai Chin
> 
> PS: To the anonymous poster, if you are reading, thank you very much.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".